Update Session
curl --request PUT \
--url https://api.raydocs.com/extractions/sessions/{sessionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.raydocs.com/extractions/sessions/{sessionId}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.raydocs.com/extractions/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"extraction_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": 123,
"filename": "<string>",
"mime": "<string>",
"size": 123,
"sha256": "<string>",
"source_url": "<string>",
"parsings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config_hash": "<string>",
"parser_version": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z"
}
],
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"extraction_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config_hash": "<string>",
"document_refs": [
{
"kind": "documentRef",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": 123,
"filename": "<string>",
"mime": "<string>",
"size": 123,
"sha256": "<string>",
"source": {
"url": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"data": {},
"audit_data": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Extraction Sessions
Update Session
Update session name or settings.
PUT
/
extractions
/
sessions
/
{sessionId}
Update Session
Authentication & Scope
Requires thesessions-write ability.
Request
PUT /extractions/sessions/770e8400-e29b-41d4-a716-446655440000 HTTP/1.1
Host: api.raydocs.com
Authorization: Bearer <token>
Content-Type: application/json
{
"name": "Q1 2024 Invoices (Updated)"
}
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
sessionId | uuid | Yes | The session ID |
Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
name | string | No | Updated session name |
Response
200 OK – The updated session.
{
"id": "770e8400-e29b-41d4-a716-446655440000",
"name": "Q1 2024 Invoices (Updated)",
"extraction_template_id": "550e8400-e29b-41d4-a716-446655440000",
"settings": {},
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-16T09:00:00Z"
}
Authorizations
Path Parameters
Body
application/json
Response
Updated
Available options:
pending, processing, completed, failed Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
